<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/id_rl_box_item_view"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center_vertical"
    android:layout_marginLeft="15dp"
    android:layout_marginTop="10dp"
    android:layout_marginRight="15dp"
    android:background="@drawable/shape_ffffff_r10"
    android:gravity="center_horizontal"
    android:orientation="horizontal">

    <com.zxhl.cms.widget.RecycleImageView
        android:id="@+id/id_item_box_main_img"
        android:layout_width="124dp"
        android:layout_height="118dp"
        android:layout_gravity="center"
        android:layout_margin="10dp"
        android:layout_marginEnd="10dp"
        android:adjustViewBounds="true" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/icon_box_jiaobiao"
        android:gravity="center"
        android:text="限时盲盒"
        android:textColor="#F8E8CC"
        android:textSize="12sp"
        android:textStyle="bold" />


    <TextView
        android:id="@+id/id_tv_box_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="7dp"
        android:layout_toEndOf="@id/id_item_box_main_img"
        android:ellipsize="end"
        android:maxLines="2"
        android:text="商品名称商品名称品名称商品名称商品名称品名称商"
        android:textColor="@color/color_333333"
        android:textSize="18sp"
        android:textStyle="bold" />

    <LinearLayout
        android:id="@+id/id_ll_youhui_view"
        android:layout_width="match_parent"
        android:layout_height="20dp"
        android:layout_below="@id/id_tv_box_name"
        android:layout_marginBottom="10dp"
        android:layout_toEndOf="@id/id_item_box_main_img"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="20dp"
            android:layout_height="match_parent"
            android:background="@drawable/shape_4b5055_label"
            android:gravity="center"
            android:text="减"
            android:textColor="#FFECD3"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/id_tv_box_discount_desc"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:background="@drawable/shape_4b5055_r4_stroke"
            android:gravity="center_vertical"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:text="已减0元"
            android:textColor="@color/color_333333"
            android:textSize="12sp" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/id_ll_box_price_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/id_ll_youhui_view"
        android:layout_toEndOf="@id/id_item_box_main_img"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="4dp"
            android:text="¥"
            android:textColor="#D81D00"
            android:textSize="14sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/id_tv_box_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="8dp"
            android:text="0"
            android:textColor="#D81D00"
            android:textSize="20sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/id_tv_box_old_price_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="原价 "
            android:textColor="@color/color_999999"
            android:textSize="10sp" />

        <TextView
            android:id="@+id/id_tv_box_old_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="¥ 0"
            android:textColor="@color/color_999999"
            android:textSize="10sp" />


    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/id_rcl_box_goods_list"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/id_ll_box_price_view"
        android:layout_toEndOf="@id/id_item_box_main_img" />

</RelativeLayout>